/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package database;

import domain.Manufacturer;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class MyDatabase {

    public void saveManufacturer(Manufacturer manufacturer) throws Exception {
        try {
            //Class.forName("com.mysql.jdbc.Driver");
            String url = "jdbc:mysql://localhost/d1";
            String username = "root";
            String password = "";
            Connection connection = DriverManager.getConnection(url, username, password);
            String query = "INSERT INTO Manufacturer(name) VALUES ('" + manufacturer.getName() + "')";
            System.out.println(query);
            Statement statement = connection.createStatement();
            int num = statement.executeUpdate(query);
            System.out.println(num);
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw new Exception("Manufacturer isn't saved! " + ex.getMessage());
        }
    }

    public void updateManufacturer(Manufacturer manufacturer) throws Exception {
        try {
            String url = "jdbc:mysql://localhost/d1";
            String username = "root";
            String password = "";
            Connection connection = DriverManager.getConnection(url, username, password);
            String query = "UPDATE Manufacturer SET name = ? WHERE id = ?";
            PreparedStatement statement = connection.prepareStatement(query);
            statement.setString(1, manufacturer.getName());
            statement.setLong(2, manufacturer.getId());
            int num = statement.executeUpdate();
            System.out.println(num);
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw new Exception("Manufacturer isn't updated! " + ex.getMessage());
        }
    }

    public List<Manufacturer> getAllManufacurers() throws Exception {
        try {
            String url = "jdbc:mysql://localhost/d1";
            String username = "root";
            String password = "";
            Connection connection = DriverManager.getConnection(url, username, password);
            List<Manufacturer> manufacturers = new ArrayList<>();
            String query = "SELECT * FROM Manufacturer ORDER BY Name";
            Statement statement = connection.createStatement();
            ResultSet rs = statement.executeQuery(query);
            while (rs.next()) {
                Manufacturer manufacturer = new Manufacturer();
                manufacturer.setId(rs.getLong("id"));
                manufacturer.setName(rs.getString(2));
                manufacturers.add(manufacturer);
            }
            return manufacturers;
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw new Exception("Manufacturers can't be found! " + ex.getMessage());
        }
    }

}
